Loading...
Searching...
No Matches
rpcbufferedget< TdataType > Class Template Reference

`#include <gnuradio/rpcbufferedget.h>`

## Public Member Functions

| rpcbufferedget (const unsigned int init_buffer_size=4096)
| ~rpcbufferedget ()
void | offer_data (const TdataType &data)
TdataType | get ()

## Constructor & Destructor Documentation

## rpcbufferedget()

template<typename TdataType>

rpcbufferedget< TdataType >::rpcbufferedget | ( | const unsigned int | init_buffer_size = 4096 | ) |

inline

## ~rpcbufferedget()

template<typename TdataType>

rpcbufferedget< TdataType >::~rpcbufferedget | ( |  | ) |

inline

## Member Function Documentation

## get()

template<typename TdataType>

TdataType rpcbufferedget< TdataType >::get | ( |  | ) |

inline

## offer_data()

template<typename TdataType>

void rpcbufferedget< TdataType >::offer_data | ( | const TdataType & | data | ) |

inline

The documentation for this class was generated from the following file:

- rpcbufferedget.h